Skip to main content
GET
Fetch All Child Accounts

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id or the vid of the parent Account for whom you'd like to retrieve the child list. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JSON - A list array with a data property that contains an array of up to limit Accounts, starting after the specified starting_after Account (or ending before the specified ending_before Account). Each entry in the array is a full Account object. If no more Accounts are available, the resulting array will be empty. This request should never throw an error.

A list of Accountt objects matching the query. Also:

  • “total_count”: Integer count of the number of Accounts in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next Account object (string to select the “next”); included id should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous Account object (string to select the “previous”); included id should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Account\", \"id\": \"cust_child_2234\", \"external_id\": \"Ext_child_12345\", \"vid\": \"872d09b4e67d17dcc566ed8d51a529eeb6777727\", \"created\": \"2022-04-07T10:04:32+00:00\", \"parent\": { \"object\": \"Account\", \"id\": \"cust_2234\", \"vid\": \"04dbe59a1b72c653b672f828565b4989c2a9ac47\" }, \"default_currency\": \"USD\", \"email\": \"dbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"David Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"e705932f5362ee809910d45a3305332f788c985b\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Scooby\", \"favorite activity\": \"Swimming\" } } ], \"total_count\": 1, \"url\": \"/accounts/cust_2234/children\", \"next\": \"/accounts/cust_2234/children?starting_after=cust_child_2234\", \"previous\": \"/accounts/cust_2234/children?ending_before=cust_child_2234\" }"